# SmartViser deployment

Deployment script to install and configure the SmartViser solution on devices.

## Prerequisite

- Python 3.6+

Install the required dependencies in a virtual environment:

    % python3 -mvenv venv
    % . ./venv/bin/activate
    (venv) % pip install -r requirements.txt

### Installing SmartViser on a Device

Follow instructions at
https://gitlab.fairphone.software/fp/wiki/wikis/fp2/m/gms/sanity#prepare-a-device

### Running Scenarios

Follow (and potentially adapt) instructions on how to run sanity check at
https://gitlab.fairphone.software/fp/wiki/wikis/fp2/m/gms/sanity#run-the-sanity-check

## Development

Install the `pre-commit` hook to setup the toolchain:

    (venv) % pip install -r requirements-dev.txt
    (venv) % pre-commit install

The toolchain can be run independently of the hook.
On the staged changes only:

    (venv) % pre-commit run

Or on all files:

    (venv) % pre-commit run --all-files

## Requirements

To keep things simple, and avoid installing extra software, this repository
relies on standard Python tools (`pip` and the `venv` module).

The abstract dependencies are specified in `setup.py` while the actual
dependencies (i.e. the required and transitive dependencies) are pinned in
dedicated requirements files. This ensures reproducibility.
